/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Engine            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef ENGINE_H_
#define ENGINE_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <curses.h>
#include <unistd.h>

/* Define */
#define H  11
#define A  11
#define D  -7
#define C   7
#define E  12
/* Define C */
#define C0  0
#define C1  1
#define C2  2
#define C4  4
#define C8  8

/*---------------------------------------------------------------------------*/

class Game
{
public:	
	/* Sort */
	short int F1, F2, L1, L2, L3;
	short int E1, E2, E3, E4, E5, E6;
	/* Move */
	char amove[C];
	/* Board */
	char matrix[H][C2][C2][C2];

	/*-----------------------------------------------------------------------*/

	Game();
	/* Function */
	void engine(short int T1,short int T2);
	void king(short int T1,short int T2);
	void queen(short int T1,short int T2);
	void turm(short int T1,short int T2);
	void springer(short int T1,short int T2);
	void bishop(short int T1,short int T2);
	void people1(short int T1,short int T2);
	void people2(short int T1,short int T2);
	void squares(short int *ES);
	void sort(char *nmove);
};

/*---------------------------------------------------------------------------*/

#endif
